SD_EVENT_SOURCE_GET_EVENT(3)

NAME
sd_event_source_get_event - Retrieve the event loop of an event source

SYNOPSIS

#include <systemd/sd-event.h>

sd_event* sd_event_source_get_event(sd_event_source *source);

DESCRIPTION

sd_event_source_get_event() may be used to retrieve the event loop object the event source object specified as source is associated with. The event loop object is specified when creating an event source object with calls such as sd_event_add_io(3) or sd_event_add_time(3).

RETURN VALUE

On success, sd_event_source_get_event() returns the associated event loop object. On failure, it returns NULL.

NOTES

These APIs are implemented as a shared library, which can be compiled and linked to with the libsystemd pkg-config(1) file.

SEE ALSO

sd-event(3), sd_event_add_io(3), sd_event_add_time(3), sd_event_add_child(3), sd_event_add_signal(3), sd_event_add_defer(3), sd_event_source_set_userdata(3)